Subject: Re: bug#51926: 29.0.50; Narrow to defun fails with Javascript async functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 18 Nov 2021 11:25:36 +0100

Matthias Meulien <[email-masked]> writes:

> 4. Call `narrow-to-defun' (C-x n d) and observe that the buffer now
> displays the following:
>
> function test_async() {
>     // nothing to do
> }
>
> This is wrong (async has disappeared).

Yup; I can reproduce this in Emacs 29, too.  I've poked at it now, and
it's surprisingly difficult to fix this, due to the way these functions
are constructed.  But I think I've got it working now in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no